Home

Get collection details by identifier

GET
https://egld-api.nownodes.io/collections/{collection}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieves detailed information about a single NFT/SFT collection identified by its collection ticker (e.g., AREPASS-76b676). Includes global flags and the list of roles assigned to various addresses (including the owner). Roles can include ESDTRoleNFTCreate, ESDTRoleNFTBurn, ESDTRoleNFTAddQuantity, ESDTRoleBurnForAll, etc.

Parameters

collectionstringrequiredpath

Collection identifier (ticker + random suffix)

Response

200OK

Successful response